| Haskell Core Libraries (Cabal package) | Contents | Index

Distribution.Make

Portability | GHC
Stability | alpha
Maintainer | Isaac Jones <ijones@syntaxpolice.org>

Description
Explanation: Uses the parsed command-line from Distribution.Setup in order to build haskell tools using a backend build system based on Make.
Synopsis

module Distribution.Package

data License

= GPL
| LGPL
| BSD3
| BSD4
| PublicDomain
| AllRightsReserved
| OtherLicense

Version (Version, versionBranch, versionTags)
defaultMain :: IO ()
defaultMainNoRead :: PackageDescription -> IO ()

Documentation
module Distribution.Package
data License

This datatype indicates the license under which your package is released. It is also wise to add your license to each source file. The `AllRightsReserved` constructor is not actually a license, but states that you are not giving anyone else a license to use or distribute your work. The comments below are general guidelines. Please read the licenses themselves and consult a lawyer if you are unsure of your rights to release the software.

Constructors

GPL | GNU Public License. Source code must accompany alterations.
LGPL | Lesser GPL, Less restrictive than GPL, useful for libraries.
BSD3 | 3-clause BSD license, newer, no advertising clause. Very free license.
BSD4 | 4-clause BSD license, older, with advertising clause.
PublicDomain | Holder makes no claim to ownership, least restrictive license.
AllRightsReserved | No rights are granted to others. Undistributable. Most restrictive.
OtherLicense | Some other license.

Instances

Eq License
Read License
Show License

Version (Version, versionBranch, versionTags)
defaultMain :: IO ()
defaultMainNoRead :: PackageDescription -> IO ()
Produced by Haddock version 0.7